@echo off

SET DBNAME=--DBNAME--

if [%1]==[] goto:error1
SET DAY=%1
SET NTBACKUPDIR=--NTBACKUPDIR--
SET TAPELIBRARY=--TAPELIBRARY--
SET TAPE=--TAPE--
SET BACKUPFILE=--BACKUPFILE--

@REM Date Configuration
for /f "tokens=1-4 delims=/ " %%a in ('date/t') do (
set dd=%%a
set mm=%%b
set yy=%%c
)
@REM Time Configuration
for /f "tokens=1-2 delims=." %%a in ('time/t') do ( 
set h=%%a
set m=%%b
)

call rsm refresh /LF"%TAPELIBRARY%"

call ntbackup.exe backup "@%NTBACKUPDIR%\%BACKUPFILE%" /n "%DAY%" /d "Backup creato il %dd%-%mm%-%yy% ore %h%:%m%" /v:no /r:no /rs:no /hc:on /m normal /j "BACKUP settimanale %DBNAME%" /l:f /P "%TAPE%"

IF NOT %errorlevel%==0 goto:error

rsm eject /LF"%TAPELIBRARY%" /ASTART

goto:eof
:error
echo Errore!!!
goto:eof
:error1
echo Manca il parametro con il nome della cassetta es:LUNEDI,MARTEDI,etc...
goto:eof